<?php

namespace Vidgyor\Category\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VideoCategoryTransformer extends TransformerAbstract
{
    public function transform(\Vidgyor\Category\Models\VideoCategory $video_category)
    {
        return [
            'id'                => $video_category->getRouteKey(),
            'key'               => [
                'public'    => $video_category->getPublicKey(),
                'route'     => $video_category->getRouteKey(),
            ], 
            'id'                => $video_category->id,
            'parent_id'         => $video_category->parent_id,
            'channel_id'        => $video_category->channel_id,
            'name'              => $video_category->name,
            'slug'              => $video_category->slug,
            'created_at'        => $video_category->created_at,
            'deleted_at'        => $video_category->deleted_at,
            'updated_at'        => $video_category->updated_at,
            'url'               => [
                'public'    => trans_url('category/'.$video_category->getPublicKey()),
                'user'      => guard_url('category/video_category/'.$video_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$video_category->status),
            'created_at'        => format_date($video_category->created_at),
            'updated_at'        => format_date($video_category->updated_at),
        ];
    }
}